Debian Bug report logs - #497928
rsnapshot should depend on liblchown-perl

version graph

Package: rsnapshot; Maintainer for rsnapshot is Guillaume Delacour <gui@iroqwa.org>; Source for rsnapshot is src:rsnapshot.

Reported by: Hagen Fuchs <mailingliste2@gmx.net>

Date: Fri, 5 Sep 2008 13:06:01 UTC

Severity: normal

Found in versions rsnapshot/1.2.9-1, rsnapshot/1.3.0-2

Fixed in version rsnapshot/1.3.1-1

Done: MJ Ray (Debian) <mjr@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Simon Boulet <simon@nostalgeek.com>:
Bug#497928; Package rsnapshot. Full text and rfc822 format available.

Acknowledgement sent to Hagen Fuchs <mailingliste2@gmx.net>:
New Bug report received and forwarded. Copy sent to Simon Boulet <simon@nostalgeek.com>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Hagen Fuchs <mailingliste2@gmx.net>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: rsnapshot: The lchown Perl-module is not available in Debian-ized form
Date: Fri, 05 Sep 2008 15:05:17 +0200
Package: rsnapshot
Version: 1.2.9-1
Severity: normal

rsnapshot produces warnings like this 
  WARNING: Could not lchown() symlink
when the Perl Lchwon.pm-module is not installed.  It is, however, not
possible to install this package in a clean, Debian-ized way, as this
module (file) is nowhere to be found in Debian's official repos.

The rsnapshot downloads-page
  http://www.rsnapshot.org/downloads.html
gives another page
  http://permalink.gmane.org/gmane.comp.sysutils.backup.rsnapshot.general/1565
which allegedly provides a way to get sarge-packages. However, one of
the hosts that have to be added to the 'sources.list' is not available.

The only option left, which I would like to circumvent, is to run Perl
to fetch it from CPAN.

Thanks,
  Hagen

-- System Information:
Debian Release: 4.0
Architecture: i386 (i686)
Shell:  /bin/sh linked to /bin/bash
Kernel: Linux 2.6.18-6-k7
Locale: LANG=en_GB.utf8, LC_CTYPE=en_GB.utf8 (charmap=UTF-8) (ignored: LC_ALL set to en_GB.utf8)




Information forwarded to debian-bugs-dist@lists.debian.org:
Bug#497928; Package rsnapshot. (Mon, 13 Oct 2008 03:06:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Simon Boulet <simon@nostalgeek.com>:
Extra info received and forwarded to list. (Mon, 13 Oct 2008 03:06:03 GMT) Full text and rfc822 format available.

Message #10 received at 497928@bugs.debian.org (full text, mbox):

From: Simon Boulet <simon@nostalgeek.com>
To: Hagen Fuchs <mailingliste2@gmx.net>
Cc: 497928@bugs.debian.org
Subject: Re: Bug#497928: rsnapshot: The lchown Perl-module is not available in Debian-ized form
Date: Sun, 12 Oct 2008 23:02:51 -0400
Hello,


On 5-Sep-08, at 9:05 AM, Hagen Fuchs wrote:

>
> The rsnapshot downloads-page
>   http://www.rsnapshot.org/downloads.html
> gives another page
>   http://permalink.gmane.org/ 
> gmane.comp.sysutils.backup.rsnapshot.general/1565
> which allegedly provides a way to get sarge-packages. However, one of
> the hosts that have to be added to the 'sources.list' is not  
> available.
>
> The only option left, which I would like to circumvent, is to run Perl
> to fetch it from CPAN.



Unfortunately the Perl Lchown module doesn't seems to be available  
under Debian.

I've been using Rsnapshot for years my self without using the Lchown  
module,  and haven't had any issues.

That being said, you should be able to install the Perl Lchown module  
under Debian by running the following command as root:

perl -MCPAN -e 'install qw(Lchown)'


Simon





Information forwarded to debian-bugs-dist@lists.debian.org, Simon Boulet <simon@nostalgeek.com>:
Bug#497928; Package rsnapshot. (Wed, 19 Nov 2008 14:15:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Michael Biebl <biebl@debian.org>:
Extra info received and forwarded to list. Copy sent to Simon Boulet <simon@nostalgeek.com>. (Wed, 19 Nov 2008 14:15:04 GMT) Full text and rfc822 format available.

Message #15 received at 497928@bugs.debian.org (full text, mbox):

From: Michael Biebl <biebl@debian.org>
To: Debian Bug Tracking System <497928@bugs.debian.org>
Subject: rsnapshot: proposed solution not sufficient
Date: Wed, 19 Nov 2008 15:12:46 +0100
Package: rsnapshot
Version: 1.3.0-2
Followup-For: Bug #497928

Hi Simon,

I think your proposed solution of installing the CPAN module is not
sufficient and this bug is really annoying and potentially dangerous, as
it floods the log file so real problems might remain unnoticed.

So, I'd either suggest to patch out the warning in rsnapshot or better try 
to get the perl lchown module into Debian.
If you don't feel like maintaining the lchown perl module yourself, why
not contact the Debian pkg-perl group?

Cheers,
Michael


-- System Information:
Debian Release: lenny/sid
  APT prefers unstable
  APT policy: (500, 'unstable'), (500, 'stable'), (300, 'experimental')
Architecture: i386 (i686)

Kernel: Linux 2.6.27.6
Locale: LANG=de_DE.UTF-8, LC_CTYPE=de_DE.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash

Versions of packages rsnapshot depends on:
ii  logrotate                     3.7.1-5    Log rotation utility
ii  perl                          5.10.0-17  Larry Wall's Practical Extraction 
ii  rsync                         3.0.4-3    fast remote file copy program (lik

Versions of packages rsnapshot recommends:
ii  ssh                           1:5.1p1-3  secure shell client and server (me

rsnapshot suggests no packages.

-- no debconf information




Information forwarded to debian-bugs-dist@lists.debian.org, Simon Boulet <simon@nostalgeek.com>:
Bug#497928; Package rsnapshot. (Wed, 19 Nov 2008 15:21:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Michael Biebl <biebl@debian.org>:
Extra info received and forwarded to list. Copy sent to Simon Boulet <simon@nostalgeek.com>. (Wed, 19 Nov 2008 15:21:03 GMT) Full text and rfc822 format available.

Message #20 received at 497928@bugs.debian.org (full text, mbox):

From: Michael Biebl <biebl@debian.org>
To: 497928@bugs.debian.org
Cc: 497928-submitter@bugs.debian.org, debian-perl@lists.debian.org
Subject: rsnapshot uses the lchown perl module
Date: Wed, 19 Nov 2008 16:16:00 +0100
[Message part 1 (text/plain, inline)]
Hi Debian Perl team!

Please see this bug report against rsnapshot [1]

I'm quoting the relevant parts:

> rsnapshot produces warnings like this 
>   WARNING: Could not lchown() symlink
> when the Perl Lchwon.pm-module is not installed.  It is, however, not
> possible to install this package in a clean, Debian-ized way, as this
> module (file) is nowhere to be found in Debian's official repos.

As I was annoyed by this warning, I decided to package up the lchown
module. My perl foo is a bit rusty, so I don't intend to maintain the
package myself. My hope is, that my initial packaging helps someone from
the Debian Perl team, to take over the packaging.
My work can be found here [2].
I haven't filed an ITP yet, but otherwise the package seems to be
linitian clean. I tried to follow the guidelines on the pkg-perl homepage.

If someone from the pkg-perl team takes over the maintainership, I'm
happy if he also takes over the copyright for debian/ (in
debian/copyright) and that I'm removed from Uploader in debian/control.

I hope this package finds a nice home at the Debian Perl team so we can
get rid of the rsnapshot warnings.

Cheers,
Michael

[1] http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=497928
[2] http://debs.michaelbiebl.de/liblchown-perl/

-- 
Why is it that all of the instruments seeking intelligent life in the
universe are pointed away from Earth?

[signature.asc (application/pgp-signature, attachment)]

Message sent on to Hagen Fuchs <mailingliste2@gmx.net>:
Bug#497928. (Wed, 19 Nov 2008 15:21:09 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Simon Boulet <simon@nostalgeek.com>:
Bug#497928; Package rsnapshot. (Wed, 19 Nov 2008 15:51:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to gregor herrmann <gregoa@debian.org>:
Extra info received and forwarded to list. Copy sent to Simon Boulet <simon@nostalgeek.com>. (Wed, 19 Nov 2008 15:51:02 GMT) Full text and rfc822 format available.

Message #28 received at 497928@bugs.debian.org (full text, mbox):

From: gregor herrmann <gregoa@debian.org>
To: Michael Biebl <biebl@debian.org>
Cc: 497928@bugs.debian.org, 497928-submitter@bugs.debian.org, debian-perl@lists.debian.org
Subject: Re: rsnapshot uses the lchown perl module
Date: Wed, 19 Nov 2008 16:48:38 +0100
[Message part 1 (text/plain, inline)]
On Wed, 19 Nov 2008 16:16:00 +0100, Michael Biebl wrote:

> As I was annoyed by this warning, I decided to package up the lchown
> module. My perl foo is a bit rusty, so I don't intend to maintain the
> package myself. My hope is, that my initial packaging helps someone from
> the Debian Perl team, to take over the packaging.

No problem, I'll take care of the package.
(And your Perl packaging foo is not rusty at all, thanks for the
initial packaging.)

> I hope this package finds a nice home at the Debian Perl team so we can
> get rid of the rsnapshot warnings.

I'll block the rsnapshot bug with the ITP for the lchown module as
soon as I have a bug number.

Cheers,
gregor 
-- 
 .''`.   Home: http://info.comodo.priv.at/{,blog/} / GPG Key ID: 0x00F3CFE4
 : :' :  Debian GNU/Linux user, admin, & developer - http://www.debian.org/
 `. `'   Member of VIBE!AT, SPI Inc., fellow of FSFE | http://got.to/quote/
   `-    NP: Rolling Stones: Claudine
[signature.asc (application/pgp-signature, inline)]

Message sent on to Hagen Fuchs <mailingliste2@gmx.net>:
Bug#497928. (Wed, 19 Nov 2008 15:51:05 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Simon Boulet <simon@nostalgeek.com>:
Bug#497928; Package rsnapshot. (Wed, 19 Nov 2008 16:21:09 GMT) Full text and rfc822 format available.

Acknowledgement sent to Michael Biebl <biebl@debian.org>:
Extra info received and forwarded to list. Copy sent to Simon Boulet <simon@nostalgeek.com>. (Wed, 19 Nov 2008 16:21:09 GMT) Full text and rfc822 format available.

Message #36 received at 497928@bugs.debian.org (full text, mbox):

From: Michael Biebl <biebl@debian.org>
To: 497928@bugs.debian.org, 497928-submitter@bugs.debian.org, debian-perl@lists.debian.org
Subject: Re: rsnapshot uses the lchown perl module
Date: Wed, 19 Nov 2008 17:17:42 +0100
[Message part 1 (text/plain, inline)]
gregor herrmann schrieb:
> On Wed, 19 Nov 2008 16:16:00 +0100, Michael Biebl wrote:
> 
>> As I was annoyed by this warning, I decided to package up the lchown
>> module. My perl foo is a bit rusty, so I don't intend to maintain the
>> package myself. My hope is, that my initial packaging helps someone from
>> the Debian Perl team, to take over the packaging.
> 
> No problem, I'll take care of the package.
> (And your Perl packaging foo is not rusty at all, thanks for the
> initial packaging.)
> 
>> I hope this package finds a nice home at the Debian Perl team so we can
>> get rid of the rsnapshot warnings.
> 
> I'll block the rsnapshot bug with the ITP for the lchown module as
> soon as I have a bug number.
> 

Awesome.
Thanks for the quick reply!

Cheers,
Michael

-- 
Why is it that all of the instruments seeking intelligent life in the
universe are pointed away from Earth?

[signature.asc (application/pgp-signature, attachment)]

Message sent on to Hagen Fuchs <mailingliste2@gmx.net>:
Bug#497928. (Wed, 19 Nov 2008 16:21:18 GMT) Full text and rfc822 format available.

Blocking bugs of 497928 added: 506233 Request was from gregor herrmann <gregoa@debian.org> to control@bugs.debian.org. (Wed, 19 Nov 2008 16:57:04 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Simon Boulet <simon@nostalgeek.com>:
Bug#497928; Package rsnapshot. (Thu, 20 Nov 2008 00:33:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Hagen Fuchs <hagen.fuchs@physik.tu-dresden.de>:
Extra info received and forwarded to list. Copy sent to Simon Boulet <simon@nostalgeek.com>. (Thu, 20 Nov 2008 00:33:02 GMT) Full text and rfc822 format available.

Message #46 received at 497928@bugs.debian.org (full text, mbox):

From: Hagen Fuchs <hagen.fuchs@physik.tu-dresden.de>
To: 497928@bugs.debian.org
Subject: Re: Bug#497928: rsnapshot uses the lchown perl module
Date: Thu, 20 Nov 2008 01:30:43 +0100
[Message part 1 (text/plain, inline)]
You just made my day.  I'm halfway into the new one already?  Nevermind,
you made that, too.

Thanks,
  Hagen
[signature.asc (application/pgp-signature, inline)]

Added tag(s) pending. Request was from Guillaume Delacour <gui@iroqwa.org> to control@bugs.debian.org. (Sat, 28 Nov 2009 18:06:24 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Simon Boulet <simon@nostalgeek.com>:
Bug#497928; Package rsnapshot. (Thu, 04 Feb 2010 22:21:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Dafydd Harries <daf@debian.org>:
Extra info received and forwarded to list. Copy sent to Simon Boulet <simon@nostalgeek.com>. (Thu, 04 Feb 2010 22:21:03 GMT) Full text and rfc822 format available.

Message #53 received at 497928@bugs.debian.org (full text, mbox):

From: Dafydd Harries <daf@debian.org>
To: 497928@bugs.debian.org
Cc: control@bugs.debian.org
Subject: please add a dependency on liblchown-perl
Date: Thu, 4 Feb 2010 22:19:25 +0000
retitle 497928 rsnapshot should depend on liblchown-perl
kthxbye

Now that the Lchown module is in Debian (as the liblchown-perl package),
could you please add a dependency on it to rsnapshot?




Changed Bug title to 'rsnapshot should depend on liblchown-perl' from 'rsnapshot: The lchown Perl-module is not available in Debian-ized form' Request was from Dafydd Harries <daf@debian.org> to control@bugs.debian.org. (Thu, 04 Feb 2010 22:21:08 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Simon Boulet <simon@nostalgeek.com>:
Bug#497928; Package rsnapshot. (Mon, 22 Feb 2010 18:42:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Sergey B Kirpichev <skirpichev@gmail.com>:
Extra info received and forwarded to list. Copy sent to Simon Boulet <simon@nostalgeek.com>. (Mon, 22 Feb 2010 18:42:03 GMT) Full text and rfc822 format available.

Message #60 received at 497928@bugs.debian.org (full text, mbox):

From: Sergey B Kirpichev <skirpichev@gmail.com>
To: 497928@bugs.debian.org
Subject: Re: Bug#497928: rsnapshot uses the lchown perl module
Date: Mon, 22 Feb 2010 21:38:22 +0300
Just set cmd_cp to /bin/cp (cmd_cp commented out by default).  This
solves problem for me.




Reply sent to MJ Ray (Debian) <mjr@debian.org>:
You have taken responsibility. (Tue, 23 Feb 2010 01:06:11 GMT) Full text and rfc822 format available.

Notification sent to Hagen Fuchs <mailingliste2@gmx.net>:
Bug acknowledged by developer. (Tue, 23 Feb 2010 01:06:11 GMT) Full text and rfc822 format available.

Message #65 received at 497928-close@bugs.debian.org (full text, mbox):

From: MJ Ray (Debian) <mjr@debian.org>
To: 497928-close@bugs.debian.org
Subject: Bug#497928: fixed in rsnapshot 1.3.1-1
Date: Tue, 23 Feb 2010 01:02:51 +0000
Source: rsnapshot
Source-Version: 1.3.1-1

We believe that the bug you reported is fixed in the latest version of
rsnapshot, which is due to be installed in the Debian FTP archive:

rsnapshot_1.3.1-1.diff.gz
  to main/r/rsnapshot/rsnapshot_1.3.1-1.diff.gz
rsnapshot_1.3.1-1.dsc
  to main/r/rsnapshot/rsnapshot_1.3.1-1.dsc
rsnapshot_1.3.1-1_all.deb
  to main/r/rsnapshot/rsnapshot_1.3.1-1_all.deb
rsnapshot_1.3.1.orig.tar.gz
  to main/r/rsnapshot/rsnapshot_1.3.1.orig.tar.gz



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 497928@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
MJ Ray (Debian) <mjr@debian.org> (supplier of updated rsnapshot package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Wed, 18 Nov 2009 00:05:53 +0000
Source: rsnapshot
Binary: rsnapshot
Architecture: source all
Version: 1.3.1-1
Distribution: unstable
Urgency: low
Maintainer: Guillaume Delacour <gui@iroqwa.org>
Changed-By: MJ Ray (Debian) <mjr@debian.org>
Description: 
 rsnapshot  - local and remote filesystem snapshot utility
Closes: 411317 413439 422262 496908 497928 500082 501992 504920 506218 506760 517657 548966
Changes: 
 rsnapshot (1.3.1-1) unstable; urgency=low
 .
   * New maintainer
   * New upstream release (Closes: #548966, #501992, #517657, #413439)
   * debian/control:
     - Bump Standards-Version 3.8.3.0
     - Homepage moved in extended description
     - Recommend openssh-client instead of ssh (Closes: #422262)
     - Depend on liblchown-perl (Closes: #497928)
     - Build-Depends-Indep on openssh-client, to have ssh client path in
       rsnapshot.conf at build time (Closes: #506760)
   * debian/postrm: Add "set -e" to script
   * debian/rules:
     - remove warning ignorement ("-") in clean rule, test Makefile
     - Bump debhelper compat version to 7 (dh_prep replacement)
     - Delete unnecessary commented template based rules
   * debian/copyright: Link to GPL-2
   * debian/patches/01_logfile_rsnapshot_conf:
     change commented /var/log/rsnapshot to /var/log/rsnapshot.log
     in rsnapshot.conf (Closes: #506218)
   * debian/patches/02_default_rsnapshot_conf_manpage:
     point to /usr/share/doc/rsnapshot/examples/rsnapshot.conf.default.gz
     instead of non-existent /etc/rsnapshot.conf.default file in manpage
     (Closes: #411317)
   * debian/patches/04_default_backup_dir:
     Really set /var/cache/rsnapshot as default snapshot dir
   * debian/patches/05_backup_pgsql:
     Modify backup_pgsql.sh according Debian specific (Closes: #500082)
     Thanks to Antony Gelberg
   * debian/patches/06_fix_random_file_verify:
     Fix some error on upstream example utils/random_file_verify.sh
   * Add doc-base support to html doc (Closes: #504920)
   * debian/lintian-overrides: add override on /var/cache/rsnapshot perms
     (700 instead of 755)
   * debian/README.Debian: add some explanations on rsnapshot behavior
     (Closes: #496908)
Checksums-Sha1: 
 0aa14139c8ce21a1c542502be7fdd9c881f0c142 1233 rsnapshot_1.3.1-1.dsc
 a3aa3560dc389e1b00155a5869558522c4a29e05 215806 rsnapshot_1.3.1.orig.tar.gz
 bf114bf988501c2daf70ddeee4d9668e2560b249 7955 rsnapshot_1.3.1-1.diff.gz
 d0328123ec151355964ee07e4472ccb1c026074c 140006 rsnapshot_1.3.1-1_all.deb
Checksums-Sha256: 
 9ad222a732bfc3133635ff9c4aa85fed2dce00a66845bd1219969793e26492f5 1233 rsnapshot_1.3.1-1.dsc
 94b6c77e40628935f42a191bdc28ad93b1f132fde456ee76ee87763f1eddc75e 215806 rsnapshot_1.3.1.orig.tar.gz
 fbbb5656404f965d7f7152f48c1b21ee4cead654c458dda33658c5ede385955e 7955 rsnapshot_1.3.1-1.diff.gz
 fe0a681fcd611abd2b19643583ded5319571ff5237a545328bec9276f6049d5f 140006 rsnapshot_1.3.1-1_all.deb
Files: 
 4bbb742844a98c3746a11a759fe0f1dc 1233 utils optional rsnapshot_1.3.1-1.dsc
 588f92995dcf60a6ea6df8d94a017e7e 215806 utils optional rsnapshot_1.3.1.orig.tar.gz
 79cd8102750fb8906477ba494285308b 7955 utils optional rsnapshot_1.3.1-1.diff.gz
 fa3157168ac2be8169180ea48f0cf4c4 140006 utils optional rsnapshot_1.3.1-1_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.7 (GNU/Linux)

iD8DBQFLgyMamUY5euFC5vQRAh4MAKC+FE1UGnFxuWM3LxmdWXZSu8ST2wCginHU
e6V3Y7BnC4A592lMTFa845k=
=XRpe
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Fri, 02 Apr 2010 07:31:31 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sun Apr 20 06:53:12 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.